<?php 
 /**
 * 易游支付 https://yy.296o.com/
 * 功能：页面跳转同步通知页面
 * 版本：1.0
 * 日期：2024-06-05
 * 说明：
 * 以下代码只是为了方便商户测试而提供的样例代码，商户可以根据自己网站的需要，按照技术文档编写,并非一定要使用该代码。
 * 该代码仅供学习和研究聚合支付接口使用，只是提供一个参考。
 */
date_default_timezone_set("Asia/Shanghai");
include_once "./config.php";

if (empty($_POST)) $_POST = $_GET;       //如果为GET方式访问
$sign = ASCII($_POST);
	
if (!$_POST['pay_no'] || md5($sign . $appkey) != $_POST['sign']) { //不合法的数据
	$pay_id='';
	$pay_money=0;
	$pay_no='';
	$pay_time=time();
	$param='';
	$typeName='';   
    $result="支付失败";
} else { //合法的数据
    $pay_id = $_POST['pay_id'];              //需要充值的ID 或订单号 或用户名
    $pay_money = (float)$_POST['pay_money']; //实际付款金额
    $pay_no = $_POST['pay_no'];              //交易流水号
    $pay_time = $_POST['pay_time'];	         //付款的时间戳			
    $pay_type = (int)$_POST['pay_type']; 	 //支付方式 1：支付宝  2：微信支付 3：QQ钱包
	$result = '支付成功';
	switch ((int)$pay_type) {
    	case 1:
    		$typeName = '支付宝';
    		break;
    	case 2:
    		$typeName = '微信支付';
    		break;
    	default:
    		$typeName = 'QQ钱包';
    		break;
    }
}
?>
<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<meta name="viewport" content="width=device-width,initial-scale=1.0,user-scalable=no">
		<title>支付结果 - 易游支付</title>
		<style type="text/css">
			*{padding:0;margin:0;}
			li{ list-style-type:none; }			
			fieldset{border: 1px solid #ccc;color: #666;padding: 10px;margin: 10px;}
		</style>
	</head>
	<body>
		<h3 style="text-align: center;"><?php echo $result?></h3>
		<fieldset>
	    <legend>订单详情</legend>
		<ul>
			<li>唯一标识：<?php echo $pay_id; ?></li>
			<li>流水编号：<?php echo $pay_no; ?></li>
			<li>实付金额：<?php echo $pay_money; ?></li>			
			<li>支付方式：<?php echo $typeName; ?></li>
			<li>付款时间：<?php echo date("Y-m-d H:i:s",$pay_time); ?></li>
			<li>状态：<?php echo $result; ?></li>
		</ul>
		</fieldset>
	</body>
 
</html>